## GstBtWaveTabSyn GstBtWaveTabSyn — wavetable synthesizer |

## Properties

gdouble | attack | Read / Write
gdouble | decay | Read / Write
guint | length | Read / Write
GstBtNote | note | Write
guint | offset | Read / Write
gdouble | peak-volume | Read / Write
gdouble | release | Read / Write
gdouble | sustain-volume | Read / Write
GstBtToneConversionTuning | tuning | Read / Write
GstBtWaveIndex | wave | Read / Write
gpointer | wave-callbacks | Read / Write

## Types and Values

struct | GstBtWaveTabSyn

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstBtAudioSynth
                            ╰── GstBtWaveTabSyn

## Implemented Interfaces

GstBtWaveTabSyn implements GstPreset and GstBtTempo.

## Description

A synth that uses the wavetable osc. I picks a cycle from the selected wavetable entry and repeats it as a osc. The offset parameter allows scanning though the waveform.

## Functions

## Types and Values

### struct GstBtWaveTabSyn

    struct GstBtWaveTabSyn;

Class instance data.

## Property Details

### The `“attack”` property

      “attack”                   gdouble

Attack of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.1

### The `“decay”` property

      “decay”                    gdouble

Decay of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.5

### The `“length”` property

      “length”                   guint

Note length in ticks.

Flags: Read / Write

Allowed values: [1,255]

Default value: 1

### The `“note”` property

      “note”                     GstBtNote

Musical note (e.g. 'c-3', 'd#4').

Flags: Write

Default value: NONE

### The `“offset”` property

      “offset”                   guint

Wave table offset.

Flags: Read / Write

Allowed values: <= 65535

Default value: 0

### The `“peak-volume”` property

      “peak-volume”              gdouble

Highest level of envelope.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.8

### The `“release”` property

      “release”                  gdouble

Release of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.5

### The `“sustain-volume”` property

      “sustain-volume”           gdouble

Sustain level of envelope.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.4

### The `“tuning”` property

      “tuning”                   GstBtToneConversionTuning

Harmonic tuning schema.

Flags: Read / Write

Default value: GSTBT_TONE_CONVERSION_EQUAL_TEMPERAMENT

### The `“wave”` property

      “wave”                     GstBtWaveIndex

Wave index.

Flags: Read / Write

Default value: no wave

### The `“wave-callbacks”` property

      “wave-callbacks”           gpointer

The wave-table access callbacks.

Flags: Read / Write